Nastavení .NET 4.0

<< Klikni pro zobrazení obsahu >>

Navigace:  Webová aplikace > Instalace webové aplikace >

Nastavení .NET 4.0

Od verze 15/16 je vyžadován .NET4.5, který již není k dispozici pro Windows XP a Windows server 2003.

 

Webová aplikace od verze 12/13 vyžaduje .NET verze 4.0 (místo dosud používané verze 2.0). Pokud není na serveru tato verze .NET nainstalována, lze ji stáhnout ze stránek Microsoft Download.

Po instalaci a případném restartu serveru lze korektní instalaci včetně registrace ověřit v konzoli pro správu IIS, kde bude navíc tato technologie:

Windows XP

Windows 2008

Poznámka:

Lze instalovat i libovolnou vyšší verzi, např. Microsoft .NET Framework 4.5.

Doporučený postup pro přechod od verze 11/12 k verzi 12/13 a vyšší

Po korektní instalaci .NET 4.0 a stažení veškerých oprav, je třeba u aplikace (resp. webového serveru či virtuálního adresáře) nastavit používání této technologie.

Pokud technologie .NET 4.0 nebude nastavena, Webová aplikace Bakaláři verze 12/13 s největší pravděpodobností nebude správně fungovat.

Ve správě IIS (spuštěné např. přes Start-Spustit-inetmgr) proveďte toto:

Windows XP

Ve vlastnostech webové aplikace, záložka ASP.NET, Verze technologie ASP.NET vyberte  4.0.30319

Windows 2008

Vyberte webovou aplikaci, Akce: Základní nastavení, v okně Upravit aplikaci tlačítko Vybrat... a zde zvolte fond aplikace např. ASP.NET v4.0 Classic.

Zkontrolujte nastaveni ve větvi Fondy aplikací. U fondu ASP.NET v4.0 Classic volte Akce: Upřesnit nastavení a zde nastavte položky Identita a Povolit 32bitové aplikace jako u dříve používaného fondu aplikace.

Ve správě IIS ještě zkontrolujte nastavení funkce Omezení ISAPI a CGI, kde je třeba mít povolen ASP.NET v4.0.

Na závěr spusťte Parametry webové aplikace, zkontrolujte všechna nastavení a nastavte zámek (tlačítko Zamknout).